Subject: [mpls] MPLS wg last call on re-spun bundling draft - ended

From: Loa Andersson <[email-masked]>
Date: Mon, 20 Dec 2004 14:16:32 +0100

All,

this mail is to close the wg last call on the re-spun
bundling draft. We've had very few comments, which is
acceptable because of the limited scope of the last call.

However we would need info on existing implementations
of draft-ietf-mpls-bundle-05.txt.

I've asked the authors to update the draft according to
comments and discussion.

/Loa

Loa Andersson wrote:
> Working group,
> 
> this is to initiate a 2 weeks working group last call on
> <>
> 
> The CCAMP working is copied on this MPLS working group last,
> since there are interdependencies between specifications from
> both working groups. Pleae use the MPLS mailing list for
> comments, cross-publishing is not necessary.
> 
> Background: This draft was reviewed by the IESG and approved
> for publication. During implementation there were some issues
> found and it was decided to pull the draft from the RFC Editors
> queue. This wg last call is limited to these issues and how
> they been addressed only.
> 
> The list of issues and how the authors has addresed has been
> sent to the mailing list(s). That text is also included in this
> mail.
> 
> For the record please note that I've asked the authors to
> update some ID-nits, those are not part of the wg last call.
> But has been included just to make it easier to progress the
> document through IESG review.
> 
> This working group last call ends on EOB December 10 PST.
> 
> /Loa
> 
> ------- issues and how they been addressed -------------
> Here is the summary:
> 
> draft-ietf-mpls-bundle-05.txt has been updated to reflect
> the comments made in the MPLS WG and on the list.  The issues
> raised are:
> 
> 1. Scope of component identifiers is open to interpretation
>    (i.e., node vs link)
> 2. No way to specify different upstream and downstream components
>    then using TLV types 1, 2 and 3
> 3. Ambiguity of contents of the IP address field in TLV types 3, 4, 5
> 4. Lack of IPv6 support for types 3, 4, and 5.
> 5. Ambiguity of when to use types 4 and 5 and when to use type 3.
> 6. No coverage of ERO and RRO implications
> 
> These issues have been addressed in the following ways:
> 
> Issue 1:  The -05 document states that all component link TLV types
>           have Node/IP scope
> Issue 2: -05 Tightly defines support for different components in each
>           direction (for bidirectional LSPs, and for all TLV types)
> Issue 3: Format of the Value field for types 3, 4 and 5 now has the
>           identical format as the contents of the C-Type 1
>           LSP_TUNNEL_INTERFACE_ID object defined in [RFC3477].
> Issue 4: Based on the previous change, support of IPv6 unnumbered
>           components is now tied to, and the same as, the support of
>           IPv6 unnumber TE links.
> Issue 5: -05 allows, but recommend against use of types 4 and 5
> Issue 6: EROs, RROs remain out of scope of bundling document
> 
> Current planned changes are:
> - Fix nits found by Adrian and Loa
> - Insert a Table of Contents
> - Section numbering will remain unchanged so as not to break
>   any potentially existing references to the draft
> 
> Yakov.
> -------------------- end of included text --------------------
> 
> Loa Andersson
> 
> Principal Networking Architect
> Acreo AB                           phone:  +46 8 632 77 14
> Isafjordsgatan 22                  mobile: +46 739 81 21 64
> Kista, Sweden                      email:  [email-masked]
>                                            [email-masked]
> 

-- 
Loa Andersson

Principal Networking Architect
Acreo AB                           phone:  +46 8 632 77 14
Isafjordsgatan 22                  mobile: +46 739 81 21 64
Kista, Sweden                      email:  [email-masked]
                                            [email-masked]

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: Lou Berger <[email-masked]>
Date: Wed, 22 Dec 2004 17:17:52 -0500

>I've asked the authors to update the draft according to

Loa,
         We submitted the -06 version of draft-ietf-mpls-bundle today.  The 
updates were made based on the comments received during the last call 
period.  They include:
1) Noted that document also updates 3472 and 3473
2) Adding a table of contents
3) Clarified intent of "node scope."
4) Removed a duplicate paragraph
5) Fixed a number of typos
6) Removed some text that was redundant with RFC3472/RFC3473.
7) Clarified that in Path and REQUEST messages link identifiers MUST be 
specified from the sender's perspective.
8) Added a paragraph on Errored Component Identification
9) Updated references

We believe all issues raised during the WG last call have been addressed.

Much thanks to all who commented!

Lou (and Yakov and Kireeti)